<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateGeneralLocaleTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('general_locale', function (Blueprint $table) {
          $table->increments('id');
          $table->string('locale');
          $table->string('general_id');
          $table->string('general_title')->nullable();
          $table->text('general_content')->nullable();
          $table->string('general_url')->nullable();
          $table->text('general_desc')->nullable();
          $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('general_locale');
    }
}
